Index: util/lzma/minilzma.cc
===================================================================
--- util/lzma/minilzma.cc	(revision 587)
+++ util/lzma/minilzma.cc	(working copy)
@@ -280,15 +280,15 @@
 #else
 extern "C" {
 
-void do_lzma_compress(char *in, unsigned long in_len, char *out,
-		      unsigned long *out_len) {
+void do_lzma_compress(char *in, uint32_t in_len, char *out,
+		      uint32_t *out_len) {
 	std::vector<unsigned char> result;
 	result = LZMACompress(std::vector<unsigned char>(in, in + in_len));
 	*out_len = result.size();
 	std::memcpy(out, &result[0], *out_len);
 }
 
-void do_lzma_uncompress(char *dst, char *src, unsigned long len) {
+void do_lzma_uncompress(char *dst, char *src, uint32_t len) {
 	std::vector<unsigned char> result;
 	result = LZMADeCompress(std::vector<unsigned char>(src, src + len));
 	std::memcpy(dst, &result[0], result.size());
